Package org.springframework.dao

# Class NonTransientDataAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.NonTransientDataAccessException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CleanupFailureDataAccessException`, `DataIntegrityViolationException`, `DataRetrievalFailureException`, `InvalidDataAccessApiUsageException`, `InvalidDataAccessResourceUsageException`, `NonTransientDataAccessResourceException`, `PermissionDeniedDataAccessException`, `UncategorizedDataAccessException`

public abstract class NonTransientDataAccessException extends DataAccessException
Root of the hierarchy of data access exceptions that are considered non-transient - where a retry of the same operation would fail unless the cause of the Exception is corrected.

Since:
  2.5
Author:
  Thomas Risberg
See Also:
  - `SQLNonTransientException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NonTransientDataAccessException(String msg)`
Constructor for NonTransientDataAccessException.
`NonTransientDataAccessException(String msg, Throwable cause)`
Constructor for NonTransientDataAccessException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NonTransientDataAccessException

public NonTransientDataAccessException(@Nullable String msg)
Constructor for NonTransientDataAccessException.

Parameters:
  `msg` - the detail message

### NonTransientDataAccessException

public NonTransientDataAccessException(@Nullable String msg, @Nullable Throwable cause)
Constructor for NonTransientDataAccessException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause (usually from using an underlying data access API such as JDBC)